<?php
// Incluir la configuración de la conexión
include('../config/conexion.php');

// Verificar conexión
if ($conexion->connect_error) {
    die("Conexión fallida: " . $conexion->connect_error);
}

// Verificar si se recibió un ID de maestro
if (isset($_GET['idmaestro'])) {
    $idmaestro = $_GET['idmaestro'];

    // Preparar y ejecutar la consulta de eliminación
    $stmt = $conexion->prepare("DELETE FROM maestro WHERE idmaestro = ?");
    $stmt->bind_param("i", $idmaestro);

    // Ejecutar la consulta
    if ($stmt->execute()) {
        // Redirigir a la página de inicio con un mensaje de éxito
        header("Location: ../iniciomaestro.php");
    } else {
        // Redirigir a la página de inicio con un mensaje de error
        header("Location: iniciomaestro.php?message=error");
    }

    // Cerrar la declaración
    $stmt->close();
} else {
    // Si no se especifica un ID, redirigir a la página de inicio
    header("Location: iniciomaestro.php");
    exit();
}

// Cerrar la conexión
$conexion->close();
